
package com.tmerclub.cloud.supplier.vo;

import com.tmerclub.cloud.common.vo.BaseVO;
import io.swagger.v3.oas.annotations.media.Schema;

import java.io.Serial;
import java.io.Serializable;

/**
 * 工商信息审核记录
 *
 * @author chiley
 * @date 2022/9/1 15:59
 */

public class SupplierCompanyAuditingVO extends BaseVO implements Serializable {
    @Serial
    private static final long serialVersionUID = 1L;
    /**
     * 工商信息审核id
     */
    private Long companyAuditingId;

    /**
     * 申请人id
     */
    @Schema(description = "申请人id")
    private String userId;

    /**
     * 供应商id
     */
    @Schema(description = "供应商id")
    private Long supplierId;

    /**
     * 工商信息id
     */
    @Schema(description = "工商信息id")
    private Long supplierCompanyId;

    /**
     * 审核人id
     */
    @Schema(description = "审核人id")
    private Long auditorId;

    /**
     * 审核人id
     */
    @Schema(description = "0 未审核 1已通过 -1未通过")
    private Integer status;

    /**
     * 备注
     */
    @Schema(description = "备注")
    private String remarks;

    /**
     * 供应商名称
     */
    @Schema(description = "供应商名称")
    private String supplierName;

    /**
     * 供应商简介
     */
    @Schema(description = "供应商简介")
    private String intro;

    /**
     * 供应商工商信息
     */
    @Schema(description = "工商信息")
    private SupplierCompanyVO supplierCompanyVO;

    public Long getCompanyAuditingId() {
        return companyAuditingId;
    }

    public void setCompanyAuditingId(Long companyAuditingId) {
        this.companyAuditingId = companyAuditingId;
    }

    public String getUserId() {
        return userId;
    }

    public void setUserId(String userId) {
        this.userId = userId;
    }

    public Long getSupplierId() {
        return supplierId;
    }

    public void setSupplierId(Long supplierId) {
        this.supplierId = supplierId;
    }

    public Long getSupplierCompanyId() {
        return supplierCompanyId;
    }

    public void setSupplierCompanyId(Long supplierCompanyId) {
        this.supplierCompanyId = supplierCompanyId;
    }

    public Long getAuditorId() {
        return auditorId;
    }

    public void setAuditorId(Long auditorId) {
        this.auditorId = auditorId;
    }

    public Integer getStatus() {
        return status;
    }

    public void setStatus(Integer status) {
        this.status = status;
    }

    public String getRemarks() {
        return remarks;
    }

    public void setRemarks(String remarks) {
        this.remarks = remarks;
    }

    public String getSupplierName() {
        return supplierName;
    }

    public void setSupplierName(String supplierName) {
        this.supplierName = supplierName;
    }

    public String getIntro() {
        return intro;
    }

    public void setIntro(String intro) {
        this.intro = intro;
    }

    public SupplierCompanyVO getSupplierCompanyVO() {
        return supplierCompanyVO;
    }

    public void setSupplierCompanyVO(SupplierCompanyVO supplierCompanyVO) {
        this.supplierCompanyVO = supplierCompanyVO;
    }

    @Override
    public String toString() {
        return "SupplierCompanyAuditingVO{" +
                "companyAuditingId=" + companyAuditingId +
                ", userId='" + userId + '\'' +
                ", supplierId=" + supplierId +
                ", supplierCompanyId=" + supplierCompanyId +
                ", auditorId=" + auditorId +
                ", status=" + status +
                ", remarks='" + remarks + '\'' +
                ", supplierName='" + supplierName + '\'' +
                ", intro='" + intro + '\'' +
                ", supplierCompanyVO=" + supplierCompanyVO +
                '}';
    }
}
